{% extends 'layouts/philosophy.html.twig' %}

{% block content %}
<section class="s-content">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-6">

                {{ form_start(myAdvertForm) }}
                {{ form_row(myAdvertForm.title) }}
                {{ form_row(myAdvertForm.description) }}
                <div class="form-group">
                    {{ form_label(myAdvertForm.photos) }}
                    {{ form_errors(myAdvertForm.photos) }}

                    <ul id="photo-gallery-list" class="collection-form"
                        data-prototype="{{ form_widget(myAdvertForm.photos.vars.prototype)|e }}"
                        data-widget-tags="{{ '<li></li>'|e }}"
                        data-widget-counter="{{ myAdvertForm.photos | length }}">
                        {% for photoField in myAdvertForm.photos %}
                            <li class="existantPhotos">
                                {# ici le .value me retourne l'entité liée au champ de formulaire (une entité Photo)#}
                                <img src="{{ asset('uploads/'~photoField.vars.value.path) }}" alt="" width="100">
                                {{ form_widget(photoField, {'attr': {'class': 'd-none'}}) }}
                            </li>
                        {% endfor %}
                    </ul>
                    <button type="button"
                            class="add-another-collection-widget btn btn-primary btn-sm"
                            data-list-selector="#photo-gallery-list">+</button>

                    {% do myAdvertForm.photos.setRendered %}



                </div>
            </div>
            <div class="col-6">
                {{ form_row(myAdvertForm.year) }}
                <div class="row">
                    <div class="col-6">
                    {{ form_row(myAdvertForm.brand) }}
                    </div>
                    <div class="col-6">
                    {{ form_row(myAdvertForm.model) }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-6">
                    {{ form_row(myAdvertForm.size) }}
                    </div>
                    <div class="col-6">
                    {{ form_row(myAdvertForm.wheelSize) }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-6">
                    {{ form_row(myAdvertForm.category) }}
                    </div>
                    <div class="col-6">
                    {{ form_row(myAdvertForm.material) }}
                    </div>
                </div>


                {{ form_rest(myAdvertForm) }}
            </div>
            </div>

        </div>

    </div>
</section>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script>
        $(document).ready(function () {

            $($('.add-another-collection-widget').attr('data-list-selector'))
                .find('.existantPhotos').append(createButton());

            $('.add-another-collection-widget').click(function (e) {
                var list = $($(this).attr('data-list-selector'));
                // Try to find the counter of the list or use the length of the list
                var counter = list.data('widget-counter') || list.children().length;

                // grab the prototype template
                var newWidget = list.attr('data-prototype');
                // replace the "__name__" used in the id and name of the prototype
                // with a number that's unique to your emails
                // end name attribute looks like name="contact[emails][2]"
                newWidget = newWidget.replace(/__name__/g, counter);
                // Increase the counter
                counter++;
                // And store it, the length cannot be used if deleting widgets is allowed
                list.data('widget-counter', counter);

                // create a new list element and add it to the list
                var newElem = $(list.attr('data-widget-tags')).html(newWidget);
                var button = createButton();
                newElem.find('input').after(button);

                newElem.appendTo(list);
            });


        });

        function createButton() {
            var button = $('<button class="btn btn-danger removeElement" type="button">-</button>');
            button.click(function(e) {
                $(this).parents('li').remove();
            });
            return button;
        }

    </script>
{% endblock javascripts %}
